I would like to know if it is possible to avoid AMC to print the three numbers which identifies the test on the
header of the test sheets. 
Also, is there any written document in which it is clearly written how the sheets are "associated".
Does AMC use that kind of bar code printed on the header?

Thanks in advance,
Raffaele

History
08/25/2014 02:05 pm - Alexis Bienvenüe
Try @\AMCidsPosition{pos=none}@.

> how the sheets are "associated".

"Association" is used to record which copy were filled by which student. There are two possibilities:
# _Manual_ association: the teacher looks at the box where the student wrote his name, and click on the corresponding button (from the students list) 
for each copy.
# _Automatic_ association: can be used if the subject includes a @\AMCcode@ command, so that the students can code their student number on the 
copy.

08/25/2014 02:05 pm - Alexis Bienvenüe
- Tracker changed from Bug to Support

08/25/2014 02:47 pm - Raffaele Borrelli
Hi Alex,

sorry I have mistakenly used the "Issues" menu instead of the Forum messages.
By "association" I meant how the software knows that a number of sheets are part of a single test.
In particular I need to prepare a test in which the Human readable ID is removed, so that only the 
"bar code" is  printed on the sheets. I must be able to explain in details how the software associate
the answer-sheet to the test.
I understand that AMC uses the "bar code" written on the top of the pages, but how?
This information can be important since I am preparing an official test with thousands of candidates...

Thanks in advance,
Raffaele

08/25/2014 04:35 pm - Alexis Bienvenüe
- File header.png added

The "bar code" on the top of the pages is a binary transcription of the three numbers which identifies the test on the
header of the test sheets. These three numbers are
# the subject version (or student) number
# the page number (inside current version)
# a simple check code.

The number of binary digits used is @\AMC@NCBetud@=12 for student number, @\AMC@NCBpage@=6 for page number, and 
@\AMC@NCBcheck@=6 for the check code.

As an example:
!header.png!
Student number is 53, which can be written 110101 in binary. This number is coded on the first line of boxes, by 12 binary digits (including 6 leading 
zeroes).
Page number is 3 = 000011 (6 first boxes on the second line), and check code is 44 = 101100 (6 last boxes on the second line).

After having recognized the 4 corner circles, AMC locates the positions where the boxes should be, and measures the proportion of black pixels to see 
if the boxes are dark or not. This makes three numbers. If these numbers corresponds to a given page on the subject, AMC knows what page 
corresponds to the scan. Thanks to the check code, the situation where the corner marks are not well recognized and the boxes randomly situated for 
reading, leading to a real page that is not the good one, is very unlikely.

08/26/2014 12:56 pm - Raffaele Borrelli
Thank you very much for your explanation.
This is exactly what I was looking for.

08/26/2014 01:41 pm - Alexis Bienvenüe
- % Done changed from 0 to 100

- Status changed from New to Closed

Files
header.png 2 kB 08/25/2014 Alexis Bienvenüe
